ru.bitel.bgbilling.modules.psb.server.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants
  - - ru.bitel.bgbilling.modules.psb.server.bean.Constants

-     public class Constants
      extends BGBaseConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_PSB_ADD_CONTRACT_ID`
    `static java.lang.String` | `KEY_PSB_BACK_URL`
    `static java.lang.String` | `KEY_PSB_CHARGE_COMMENT`
    `static java.lang.String` | `KEY_PSB_CHARGE_TYPE_ID`
    `static java.lang.String` | `KEY_PSB_COMMENT`
    `static java.lang.String` | `KEY_PSB_DESCRIPTION`
    `static java.lang.String` | `KEY_PSB_EMAIL`
    `static java.lang.String` | `KEY_PSB_GATE_URL`
    `static java.lang.String` | `KEY_PSB_KEY`
    `static java.lang.String` | `KEY_PSB_MERCHANT`
    `static java.lang.String` | `KEY_PSB_MERCHANT_NAME`
    `static java.lang.String` | `KEY_PSB_PASSWORD`
    `static java.lang.String` | `KEY_PSB_PAYMENT_COMMENT`
    `static java.lang.String` | `KEY_PSB_PAYMENT_TYPE_ID`
    `static java.lang.String` | `KEY_PSB_SECRET`
    `static java.lang.String` | `KEY_PSB_SUM_MAX`
    `static java.lang.String` | `KEY_PSB_SUM_MIN`
    `static java.lang.String` | `KEY_PSB_TERMINAL`
    `static java.lang.String` | `KEY_PSB_URL_RETURN_NO`
    `static java.lang.String` | `KEY_PSB_URL_RETURN_OK`
    `static java.lang.String` | `PARAM_AMOUNT`
    `static java.lang.String` | `PARAM_BACKREF`
    `static java.lang.String` | `PARAM_CURRENCY`
    `static java.lang.String` | `PARAM_DESC`
    `static java.lang.String` | `PARAM_EMAIL`
    `static java.lang.String` | `PARAM_MERCH_NAME`
    `static java.lang.String` | `PARAM_MERCHANT`
    `static java.lang.String` | `PARAM_NONCE`
    `static java.lang.String` | `PARAM_ORDER`
    `static java.lang.String` | `PARAM_P_SIGN`
    `static java.lang.String` | `PARAM_TERMINAL`
    `static java.lang.String` | `PARAM_TIMESTAMP`
    `static java.lang.String` | `PARAM_TRTYPE`
    `static java.lang.String[]` | `PARAMS`
    `static java.lang.String` | `PSB_CHARGE_COMMENT`
    `static java.lang.String` | `PSB_COMMENT`
    `static int` | `PSB_LIFETIME`
    `static java.lang.String` | `PSB_PAYMENT_COMMENT`
    `static int` | `PSB_SUM_MAX`
    `static int` | `PSB_SUM_MIN`
    `static java.lang.String` | `PSB_URL_GATE`

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

      `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_MONTH, KEY_PAGE, KEY_SUM_MAX, KEY_SUM_MIN, KEY_YEAR, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_MONTH, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PSB_SUM_MIN

          public static final int PSB_SUM_MIN

      See Also:
        Constant Field Values

    - #### PSB_SUM_MAX

          public static final int PSB_SUM_MAX

      See Also:
        Constant Field Values

    - #### PSB_LIFETIME

          public static final int PSB_LIFETIME

      See Also:
        Constant Field Values

    - #### PSB_COMMENT

          public static final java.lang.String PSB_COMMENT

      See Also:
        Constant Field Values

    - #### PSB_URL_GATE

          public static final java.lang.String PSB_URL_GATE

      See Also:
        Constant Field Values

    - #### PSB_CHARGE_COMMENT

          public static final java.lang.String PSB_CHARGE_COMMENT

      See Also:
        Constant Field Values

    - #### PSB_PAYMENT_COMMENT

          public static final java.lang.String PSB_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_PSB_KEY

          public static final java.lang.String KEY_PSB_KEY

      See Also:
        Constant Field Values

    - #### KEY_PSB_SUM_MIN

          public static final java.lang.String KEY_PSB_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_PSB_SUM_MAX

          public static final java.lang.String KEY_PSB_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_PSB_COMMENT

          public static final java.lang.String KEY_PSB_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_PSB_PASSWORD

          public static final java.lang.String KEY_PSB_PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_PSB_GATE_URL

          public static final java.lang.String KEY_PSB_GATE_URL

      See Also:
        Constant Field Values

    - #### KEY_PSB_URL_RETURN_OK

          public static final java.lang.String KEY_PSB_URL_RETURN_OK

      See Also:
        Constant Field Values

    - #### KEY_PSB_URL_RETURN_NO

          public static final java.lang.String KEY_PSB_URL_RETURN_NO

      See Also:
        Constant Field Values

    - #### KEY_PSB_CHARGE_TYPE_ID

          public static final java.lang.String KEY_PSB_CHARGE_TYPE_ID

      See Also:
        Constant Field Values

    - #### KEY_PSB_CHARGE_COMMENT

          public static final java.lang.String KEY_PSB_CHARGE_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_PSB_PAYMENT_TYPE_ID

          public static final java.lang.String KEY_PSB_PAYMENT_TYPE_ID

      See Also:
        Constant Field Values

    - #### KEY_PSB_PAYMENT_COMMENT

          public static final java.lang.String KEY_PSB_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_PSB_ADD_CONTRACT_ID

          public static final java.lang.String KEY_PSB_ADD_CONTRACT_ID

      See Also:
        Constant Field Values

    - #### KEY_PSB_EMAIL

          public static final java.lang.String KEY_PSB_EMAIL

      See Also:
        Constant Field Values

    - #### KEY_PSB_SECRET

          public static final java.lang.String KEY_PSB_SECRET

      See Also:
        Constant Field Values

    - #### KEY_PSB_BACK_URL

          public static final java.lang.String KEY_PSB_BACK_URL

      See Also:
        Constant Field Values

    - #### KEY_PSB_TERMINAL

          public static final java.lang.String KEY_PSB_TERMINAL

      See Also:
        Constant Field Values

    - #### KEY_PSB_MERCHANT

          public static final java.lang.String KEY_PSB_MERCHANT

      See Also:
        Constant Field Values

    - #### KEY_PSB_DESCRIPTION

          public static final java.lang.String KEY_PSB_DESCRIPTION

      See Also:
        Constant Field Values

    - #### KEY_PSB_MERCHANT_NAME

          public static final java.lang.String KEY_PSB_MERCHANT_NAME

      See Also:
        Constant Field Values

    - #### PARAM_DESC

          public static final java.lang.String PARAM_DESC

      See Also:
        Constant Field Values

    - #### PARAM_EMAIL

          public static final java.lang.String PARAM_EMAIL

      See Also:
        Constant Field Values

    - #### PARAM_ORDER

          public static final java.lang.String PARAM_ORDER

      See Also:
        Constant Field Values

    - #### PARAM_NONCE

          public static final java.lang.String PARAM_NONCE

      See Also:
        Constant Field Values

    - #### PARAM_TRTYPE

          public static final java.lang.String PARAM_TRTYPE

      See Also:
        Constant Field Values

    - #### PARAM_P_SIGN

          public static final java.lang.String PARAM_P_SIGN

      See Also:
        Constant Field Values

    - #### PARAM_AMOUNT

          public static final java.lang.String PARAM_AMOUNT

      See Also:
        Constant Field Values

    - #### PARAM_BACKREF

          public static final java.lang.String PARAM_BACKREF

      See Also:
        Constant Field Values

    - #### PARAM_CURRENCY

          public static final java.lang.String PARAM_CURRENCY

      See Also:
        Constant Field Values

    - #### PARAM_TERMINAL

          public static final java.lang.String PARAM_TERMINAL

      See Also:
        Constant Field Values

    - #### PARAM_MERCHANT

          public static final java.lang.String PARAM_MERCHANT

      See Also:
        Constant Field Values

    - #### PARAM_TIMESTAMP

          public static final java.lang.String PARAM_TIMESTAMP

      See Also:
        Constant Field Values

    - #### PARAM_MERCH_NAME

          public static final java.lang.String PARAM_MERCH_NAME

      See Also:
        Constant Field Values

    - #### PARAMS

          public static final java.lang.String[] PARAMS

  - ### Constructor Detail

    - #### Constants

          public Constants()